package jalview.testutils;

import java.util.Arrays;
import java.util.List;

import org.hamcrest.Matcher;

import jalview.datamodel.Annotation;
import jalview.datamodel.SequenceI;

public class Matchers
{
  public static Matcher<SequenceI> matchesSequenceString(String sequence)
  {
    return new SequenceStringMatcher(sequence);
  }

  public static Matcher<SequenceI> matchesSequenceString(SequenceI sequence)
  {
    return new SequenceStringMatcher(sequence.getSequenceAsString());
  }

  public static Matcher<Annotation[]> matchesAnnotations(
      List<Annotation> annotations)
  {
    return new AnnotationsMatcher(annotations);
  }

  public static Matcher<Annotation[]> matchesAnnotations(
      Annotation... annotations)
  {
    return new AnnotationsMatcher(Arrays.asList(annotations));
  }
}
